server:
  port: 8080
  servlet:
    context-path: /api

spring:
  servlet:
    multipart:
      enabled: true
      max-file-size: 20MB     # 单个文件最大 20MB
      max-request-size: 100MB # 总请求大小限制

  aop:
    proxy-target-class: true
    auto: true
  jpa:
    database: mysql
    hibernate:
      ddl-auto: update
    show-sql: false
    # 延续 session 到返回视图层，但是在测试类中无效
    open-in-view: true
    database-platform: org.hibernate.dialect.MySQL5InnoDBDialect
    properties:
      hibernate:
        format_sql: true
      generate_statistics: true
      jdbc:
        #每批500条提交
        batch_size: 500
        batch_versioned_data: true
      order_inserts: true
      order_updates: true
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss
  redis:
#    port: 6379
#    database: 0
#    host: 127.0.0.1
#    password: 12345
    jedis:
      pool:
        max-active: 8
        max-wait: -1ms
        max-idle: 8
        min-idle: 0
    timeout: 5000ms
#    port: ${REDIS_PORT}
#    host: ${REDIS_HOME}
  data:
    redis:
      repositories:
        enabled: false

  datasource:
#    url: jdbc:mysql://${MYSQL_URL}/${MYSQL_DATABASE}?serverTimezone=UTC&useUnicode=true&characterEncoding=utf-8&useSSL=true&serverTimezone=Asia/Shanghai
#    username: ${MYSQL_USERNAME}
#    password: ${MYSQL_PASSWORD}
#    driver-class-name: com.mysql.cj.jdbc.Driver
    driver-class-name: com.mysql.cj.jdbc.Driver
    url: jdbc:mysql://localhost:3306/loan_system?useUnicode=true&characterEncoding=utf-8&serverTimezone=Asia/Shanghai #改
    username: root
    password: wgw20030620 #改
mybatis:
  mapper-locations: classpath*:/mapping/*Mapper.xml
 # type-aliases-package: com.he.common.entity.domain

upload:
  host: "http://tczbus.natappfree.cc/uploads"
  location: "D:\\Java\\loan-backend\\src\\main\\resources\\file_store" #改
  extensions: "pdf,doc,docx,xls,xlsx,JPG,jpg,bmp,BMP,gif,GIF,BMP,png,PNG,bmp,jpeg,JPEG,svg,txt"
  templatePath: "D:\\Java\\loan-backend\\src\\resources\\template.docx" #改

system:
  wechat:
    appid: wx9c0acf979455549f
    secret: 37452088548ea9cc6e244dc7817d938d